"""use rh id in download delivery

Revision ID: 2cfbbef4b440
Revises: 8a6aa0fd4a91
Create Date: 2023-03-09 12:09:20.386922

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "2cfbbef4b440"
down_revision = "8a6aa0fd4a91"
branch_labels = None
depends_on = None


old_args = "arguments = {{request_id}} {{product_locator}}"

new_args = "arguments = {{#rh_id}}{{.}}{{/rh_id}}{{^rh_id}}{{request_id}}{{/rh_id}} {{product_locator}}"


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{old_args}', E'{new_args}')::bytea
        WHERE filename='download.condor'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{new_args}', E'{old_args}')::bytea
        WHERE filename='download.condor'
        """
    )
